## ros-foxy-ros2node 0.9.13

=== debian/changelog ===
ros-foxy-ros2node (0.9.13-1focal) focal; urgency=high

  * Added changelogs
  * Contributors: Dharini Dutia

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 16 Mar 2023 00:00:00 -0000

ros-foxy-ros2node (0.9.12-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 12 Sep 2022 00:00:00 -0000

ros-foxy-ros2node (0.9.11-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 31 Jan 2022 00:00:00 -0000

ros-foxy-ros2node (0.9.10-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 05 Oct 2021 00:00:00 -0000

ros-foxy-ros2node (0.9.9-1focal) focal; urgency=high

  * 0.9.9
  * Contributors: Audrow Nash

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 24 Mar 2021 00:00:00 -0000

ros-foxy-ros2node (0.9.8-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 08 Dec 2020 00:00:00 -0000

ros-foxy-ros2node (0.9.7-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 07 Jul 2020 00:00:00 -0000

ros-foxy-ros2node (0.9.6-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 23 Jun 2020 00:00:00 -0000

ros-foxy-ros2node (0.9.5-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 01 Jun 2020 00:00:00 -0000

ros-foxy-ros2node (0.9.4-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 26 May 2020 00:00:00 -0000

ros-foxy-ros2node (0.9.3-1focal) focal; urgency=high

  * Make CLI more robust to discovery latency. (#494 <https://github.com/ros2/ros2cli/issues/494>)
  * Remove uses of deprecated ready_fn. (#506 <https://github.com/ros2/ros2cli/issues/506>)
  * Contributors: Chris Lalancette, Michel Hidalgo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 13 May 2020 00:00:00 -0000

ros-foxy-ros2node (0.9.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 08 May 2020 00:00:00 -0000

ros-foxy-ros2node (0.9.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 06 May 2020 00:00:00 -0000

ros-foxy-ros2node (0.9.0-1focal) focal; urgency=high

  * Stop using 'node_name' and 'node_namespace' in tests. (#498 <https://github.com/ros2/ros2cli/issues/498>)
  * Replace deprecated launch_ros usage (#487 <https://github.com/ros2/ros2cli/issues/487>)
  * Skip CLI tests on Windows until we resolve the blocking/hanging isuse. (#489 <https://github.com/ros2/ros2cli/issues/489>)
  * Update tests to expect no launch_ros node (#474 <https://github.com/ros2/ros2cli/issues/474>)
  * more verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * Just add warning at the top of the node names list (#462 <https://github.com/ros2/ros2cli/issues/462>)
  * Add a warning to ros2 node info when there is more than one node with the same name (#463 <https://github.com/ros2/ros2cli/issues/463>)
  * Remove ready_fn from test descriptions (#376 <https://github.com/ros2/ros2cli/issues/376>)
  * used get_available_rmw_implementations from rclpy (#461 <https://github.com/ros2/ros2cli/issues/461>)
  * Add delay when retrying tests involving the CLI daemon (#459 <https://github.com/ros2/ros2cli/issues/459>)
  * only load required entry points which improves the performance (#436 <https://github.com/ros2/ros2cli/issues/436>)
  * Merge branch 'master' of github.com:ros2/ros2cli
  * Make use of include-hidden flag for ros2node info verb (#401 <https://github.com/ros2/ros2cli/issues/401>)
  * Contributors: Alejandro Hernández Cordero, Brian Marchi, Chris Lalancette, Dirk Thomas, Emerson Knapp, Jacob Perron, Peter Baughman, Shane Loretz, Steven! Ragnarök, claireyywang

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 29 Apr 2020 00:00:00 -0000

ros-foxy-ros2node (0.8.6-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 19 Nov 2019 00:00:00 -0000

ros-foxy-ros2node (0.8.5-1focal) focal; urgency=high

  * 0.8.5
  * Contributors: Shane Loretz

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 14 Nov 2019 00:00:00 -0000

ros-foxy-ros2node (0.8.4-1focal) focal; urgency=high

  * 0.8.4
  * add service clients to ros2node info (#392 <https://github.com/ros2/ros2cli/issues/392>)
  * Contributors: Michael Carroll, Mikael Arguedas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 13 Nov 2019 00:00:00 -0000

ros-foxy-ros2node (0.8.3-1focal) focal; urgency=high

  * 0.8.3
  * End-to-end test coverage for CLI commands output (#304 <https://github.com/ros2/ros2cli/issues/304>)
  * [ros2node] Add option to info verb to display hidden names (#373 <https://github.com/ros2/ros2cli/issues/373>)
  * [ros2node] Update info headings for actions (#357 <https://github.com/ros2/ros2cli/issues/357>)
  * Contributors: Jacob Perron, Michel Hidalgo, Shane Loretz

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-foxy-ros2node (0.8.2-1focal) focal; urgency=high

  * 0.8.2
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 08 Oct 2019 00:00:00 -0000

ros-foxy-ros2node (0.8.1-1focal) focal; urgency=high

  * 0.8.1
  * ros2node info: add action category (#345 <https://github.com/ros2/ros2cli/issues/345>)
  * Contributors: Claire Wang, Michael Carroll

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 04 Oct 2019 00:00:00 -0000

ros-foxy-ros2node (0.8.0-1focal) focal; urgency=high

  * install resource marker file for packages (#339 <https://github.com/ros2/ros2cli/issues/339>)
  * Update setup.py version (#331 <https://github.com/ros2/ros2cli/issues/331>)
  * install package manifest (#330 <https://github.com/ros2/ros2cli/issues/330>)
  * Convert list comprehension to generator (#314 <https://github.com/ros2/ros2cli/issues/314>)
  * Alphasort ros2 node list output. (#305 <https://github.com/ros2/ros2cli/issues/305>)
  * Contributors: Dirk Thomas, Jacob Perron, Michel Hidalgo, Scott K Logan


